/**
 * <copyright>
 * </copyright>
 *
 * $Id: FieldPart.java 7333 2011-03-11 13:07:45Z hoenninger $
 */
package org.openxma.dsl.pom.model;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Field Part</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.pom.PomPackage#getFieldPart()
 * @model
 * @generated
 */
public enum FieldPart implements Enumerator {
	/**
     * The '<em><b>LABEL</b></em>' literal object.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @see #LABEL_VALUE
     * @generated
     * @ordered
     */
	LABEL(0, "LABEL", "label"),

	/**
     * The '<em><b>CONTROL</b></em>' literal object.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @see #CONTROL_VALUE
     * @generated
     * @ordered
     */
	CONTROL(1, "CONTROL", "control"),

	/**
     * The '<em><b>UNITLABEL</b></em>' literal object.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @see #UNITLABEL_VALUE
     * @generated
     * @ordered
     */
	UNITLABEL(2, "UNITLABEL", "unitLabel"),

	/**
     * The '<em><b>EDITOR</b></em>' literal object.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @see #EDITOR_VALUE
     * @generated
     * @ordered
     */
	EDITOR(3, "EDITOR", "editor");

	/**
     * The '<em><b>LABEL</b></em>' literal value.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>LABEL</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @see #LABEL
     * @model literal="label"
     * @generated
     * @ordered
     */
	public static final int LABEL_VALUE = 0;

	/**
     * The '<em><b>CONTROL</b></em>' literal value.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>CONTROL</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @see #CONTROL
     * @model literal="control"
     * @generated
     * @ordered
     */
	public static final int CONTROL_VALUE = 1;

	/**
     * The '<em><b>UNITLABEL</b></em>' literal value.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>UNITLABEL</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @see #UNITLABEL
     * @model literal="unitLabel"
     * @generated
     * @ordered
     */
	public static final int UNITLABEL_VALUE = 2;

	/**
     * The '<em><b>EDITOR</b></em>' literal value.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>EDITOR</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @see #EDITOR
     * @model literal="editor"
     * @generated
     * @ordered
     */
	public static final int EDITOR_VALUE = 3;

	/**
     * An array of all the '<em><b>Field Part</b></em>' enumerators.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private static final FieldPart[] VALUES_ARRAY =
		new FieldPart[] {
            LABEL,
            CONTROL,
            UNITLABEL,
            EDITOR,
        };

	/**
     * A public read-only list of all the '<em><b>Field Part</b></em>' enumerators.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static final List<FieldPart> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
     * Returns the '<em><b>Field Part</b></em>' literal with the specified literal value.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static FieldPart get(String literal) {
        for (int i = 0; i < VALUES_ARRAY.length; ++i) {
            FieldPart result = VALUES_ARRAY[i];
            if (result.toString().equals(literal)) {
                return result;
            }
        }
        return null;
    }

	/**
     * Returns the '<em><b>Field Part</b></em>' literal with the specified name.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static FieldPart getByName(String name) {
        for (int i = 0; i < VALUES_ARRAY.length; ++i) {
            FieldPart result = VALUES_ARRAY[i];
            if (result.getName().equals(name)) {
                return result;
            }
        }
        return null;
    }

	/**
     * Returns the '<em><b>Field Part</b></em>' literal with the specified integer value.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static FieldPart get(int value) {
        switch (value) {
            case LABEL_VALUE: return LABEL;
            case CONTROL_VALUE: return CONTROL;
            case UNITLABEL_VALUE: return UNITLABEL;
            case EDITOR_VALUE: return EDITOR;
        }
        return null;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private final int value;

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private final String name;

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private final String literal;

	/**
     * Only this class can construct instances.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private FieldPart(int value, String name, String literal) {
        this.value = value;
        this.name = name;
        this.literal = literal;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public int getValue() {
      return value;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String getName() {
      return name;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String getLiteral() {
      return literal;
    }

	/**
     * Returns the literal value of the enumerator, which is its string representation.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	@Override
	public String toString() {
        return literal;
    }
	
} //FieldPart
