/**
 * <copyright>
 * </copyright>
 *
 * $Id: Text.java 7333 2011-03-11 13:07:45Z hoenninger $
 */
package org.openxma.dsl.pom.model;

import org.eclipse.emf.common.util.EList;
import org.openxma.dsl.core.model.BoolLiteral;
import org.openxma.dsl.core.model.ReferenceableByXmadslVariable;
import org.openxma.dsl.core.model.ValidatorReference;
import org.openxma.dsl.dom.model.Constraint;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Text</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.openxma.dsl.pom.model.Text#getAlignment <em>Alignment</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.Text#getMultiLine <em>Multi Line</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.Text#getConstraints <em>Constraints</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.Text#getFormat <em>Format</em>}</li>
 *   <li>{@link org.openxma.dsl.pom.model.Text#getTextProperties <em>Text Properties</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.openxma.dsl.pom.PomPackage#getText()
 * @model
 * @generated
 */
public interface Text extends ReferenceableByXmadslVariable, DataBindingElement, SimpleElement, IGuiElementWithEvent, IReferenceableByStatementVariable {
	/**
     * Returns the value of the '<em><b>Alignment</b></em>' attribute.
     * The literals are from the enumeration {@link org.openxma.dsl.pom.model.ContentAlignment}.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Alignment</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @return the value of the '<em>Alignment</em>' attribute.
     * @see org.openxma.dsl.pom.model.ContentAlignment
     * @see #setAlignment(ContentAlignment)
     * @see org.openxma.dsl.pom.PomPackage#getText_Alignment()
     * @model
     * @generated
     */
	ContentAlignment getAlignment();

	/**
     * Sets the value of the '{@link org.openxma.dsl.pom.model.Text#getAlignment <em>Alignment</em>}' attribute.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @param value the new value of the '<em>Alignment</em>' attribute.
     * @see org.openxma.dsl.pom.model.ContentAlignment
     * @see #getAlignment()
     * @generated
     */
	void setAlignment(ContentAlignment value);

	/**
     * Returns the value of the '<em><b>Multi Line</b></em>' containment reference.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Multi Line</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @return the value of the '<em>Multi Line</em>' containment reference.
     * @see #setMultiLine(BoolLiteral)
     * @see org.openxma.dsl.pom.PomPackage#getText_MultiLine()
     * @model containment="true"
     * @generated
     */
	BoolLiteral getMultiLine();

	/**
     * Sets the value of the '{@link org.openxma.dsl.pom.model.Text#getMultiLine <em>Multi Line</em>}' containment reference.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @param value the new value of the '<em>Multi Line</em>' containment reference.
     * @see #getMultiLine()
     * @generated
     */
	void setMultiLine(BoolLiteral value);

	/**
     * Returns the value of the '<em><b>Constraints</b></em>' containment reference list.
     * The list contents are of type {@link org.openxma.dsl.dom.model.Constraint}.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Constraints</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @return the value of the '<em>Constraints</em>' containment reference list.
     * @see org.openxma.dsl.pom.PomPackage#getText_Constraints()
     * @model containment="true"
     * @generated
     */
	EList<Constraint> getConstraints();

	/**
     * Returns the value of the '<em><b>Format</b></em>' containment reference.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Format</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @return the value of the '<em>Format</em>' containment reference.
     * @see #setFormat(ValidatorReference)
     * @see org.openxma.dsl.pom.PomPackage#getText_Format()
     * @model containment="true"
     * @generated
     */
	ValidatorReference getFormat();

	/**
     * Sets the value of the '{@link org.openxma.dsl.pom.model.Text#getFormat <em>Format</em>}' containment reference.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @param value the new value of the '<em>Format</em>' containment reference.
     * @see #getFormat()
     * @generated
     */
	void setFormat(ValidatorReference value);

	/**
     * Returns the value of the '<em><b>Text Properties</b></em>' containment reference list.
     * The list contents are of type {@link org.openxma.dsl.pom.model.TextProperty}.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Text Properties</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @return the value of the '<em>Text Properties</em>' containment reference list.
     * @see org.openxma.dsl.pom.PomPackage#getText_TextProperties()
     * @model containment="true"
     * @generated
     */
	EList<TextProperty> getTextProperties();

} // Text
